Inference Lab
Compare persisted serving evidence
POST
/
api
/
v1
/
lab
/
evaluations
Compare persisted serving evidence
curl --request POST \
--url http://127.0.0.1:18000/api/v1/lab/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_identity": "<string>",
"max_ttft_p95_ms": 1,
"workload_digest": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/lab/evaluations"
payload = {
"model_identity": "<string>",
"max_ttft_p95_ms": 1,
"workload_digest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_identity: '<string>', max_ttft_p95_ms: 1, workload_digest: '<string>'})
};
fetch('http://127.0.0.1:18000/api/v1/lab/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/lab/evaluations"
payload := strings.NewReader("{\n \"model_identity\": \"<string>\",\n \"max_ttft_p95_ms\": 1,\n \"workload_digest\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created
The response is of type object.
⌘I
Compare persisted serving evidence
curl --request POST \
--url http://127.0.0.1:18000/api/v1/lab/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_identity": "<string>",
"max_ttft_p95_ms": 1,
"workload_digest": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/lab/evaluations"
payload = {
"model_identity": "<string>",
"max_ttft_p95_ms": 1,
"workload_digest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_identity: '<string>', max_ttft_p95_ms: 1, workload_digest: '<string>'})
};
fetch('http://127.0.0.1:18000/api/v1/lab/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/lab/evaluations"
payload := strings.NewReader("{\n \"model_identity\": \"<string>\",\n \"max_ttft_p95_ms\": 1,\n \"workload_digest\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}